$topnav-background-color: #222;
:host {
    display: block;
}

// FLOATING LABELS
.has-float-label{display:block;position:relative}.has-float-label label,.has-float-label>span{position:absolute;cursor:text;font-size:75%;opacity:1;-webkit-transition:all .2s;transition:all .2s;top:0;left:.75rem;z-index:3;line-height:1;padding:0 1px; color: #004FA3; font-weight: bold;}.has-float-label label::after,.has-float-label>span::after{content:" ";display:block;position:absolute;background:#fff;height:2px;top:50%;left:-.2em;right:-.2em;z-index:-1}.has-float-label .form-control::-webkit-input-placeholder{opacity:1;-webkit-transition:all .2s;transition:all .2s}.has-float-label .form-control::-moz-placeholder{opacity:1;transition:all .2s}.has-float-label .form-control:-ms-input-placeholder{opacity:1;transition:all .2s}.has-float-label .form-control::placeholder{opacity:1;-webkit-transition:all .2s;transition:all .2s}.has-float-label .form-control:placeholder-shown:not(:focus)::-webkit-input-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)::-moz-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus):-ms-input-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)::placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)+*{font-size:14px;opacity:.5;top:.3em}.input-group .has-float-label{-webkit-box-flex:1;-webkit-flex-grow:1;-ms-flex-positive:1;flex-grow:1;margin-bottom:0;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center}.input-group .has-float-label .form-control{width:100%;border-radius:.25rem}.input-group .has-float-label:not(:last-child),.input-group .has-float-label:not(:last-child) .form-control{border-bottom-right-radius:0;border-top-right-radius:0;border-right:0}.input-group .has-float-label:not(:first-child),.input-group .has-float-label:not(:first-child) .form-control{border-bottom-left-radius:0;border-top-left-radius:0}

.has-float-label .form-control:placeholder-shown:not(:focus)  span {
    opacity: .5 !important;
    top: 15px !important;
    // height: 16px !important;
    // width: 259.82px !important;
    color: #A5A5A5 !important;
    font-size: 14px !important;
    line-height: 16px !important;
}
// .has-float-label[_ngcontent-c1] .form-control[_ngcontent-c1]:placeholder-shown:not(:focus) + [_ngcontent-c1] {
//     opacity: .5;
//     top: 15px;
//     height: 16px;
//     width: 259.82px;
//     color: #A5A5A5;
//     font-size: 14px;
//     line-height: 16px;

// }
// .has-float-label[_ngcontent-c5] .form-control[_ngcontent-c5]:placeholder-shown:not(:focus) + [_ngcontent-c5] {
//     font-size: 14px !important;
//     color: #A5A5A5 !important;
//     opacity: .5;
//     top: .3em;
// }

.lost-password{
        margin-bottom: 16px !important;
        text-align: left !important;
        padding: 0 !important;
         a{
            color: #A5A5A5 !important;   
            font-size: 11px;    
            font-weight: 500;   
            line-height: 13px;
         }
}


.form-control{
    height: 48px !important;
    border: 1px solid #EAEAEA;
    border-radius: 4px !important;
}

.form-group{
    margin-bottom: 0 !important;
}
.orga-avatar{
    height: 64px !important;
    margin-top: 16px !important;
}

.navbar{
    z-index: 999;
    background-color: #fff !important;
    height: 80px !important;
}

.login{
    margin-top: 222px !important;
    background-color: #fff !important;
    min-height: 350px !important;
    border: 1px solid #EAEAEA;
    border-radius: 4px; 
    box-shadow: 0 2px 9px 0 rgba(70,66,66,0.25);
}

.btn-primary{
        background-color: #004FA3 !important;
        border-radius: 4px;
        border: none !important; 
        height: 48px !important;
        padding: 12px;
        color: white !important;
}

.navbar-brand{
    color: #0045A5 !important;

    font-size: 12px !important;
    letter-spacing: 0.3px !important;  
    line-height: 14px !important;
}
.login-page {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: auto;
    // background: $topnav-background-color;
    text-align: center;
    // color: #fff;
    padding: 3em;

    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
    font-family: 'Numans', sans-serif;

    .col-lg-4 {
        padding: 0;
    }
    // .input-lg {
    //     height: 46px;
    //     padding: 10px 16px;
    //     font-size: 18px;
    //     line-height: 1.3333333;
    //     border-radius: 0;
    // }
    // .input-underline {
    //     background: 0 0;
    //     border: none;
    //     box-shadow: none;
    //     border-bottom: 2px solid rgba(255, 255, 255, 0.5);
    //     color: #fff;
    //     border-radius: 0;
    // }
    // .input-underline:focus {
    //     border-bottom: 2px solid #fff;
    //     box-shadow: none;
    // }
    // .rounded-btn {
    //     -webkit-border-radius: 50px;
    //     border-radius: 50px;
    //     color: rgba(255, 255, 255, 0.8);
    //     background: $topnav-background-color;
    //     border: 2px solid rgba(255, 255, 255, 0.8);
    //     font-size: 18px;
    //     line-height: 40px;
    //     padding: 0 25px;
    // }
    // .rounded-btn:hover,
    // .rounded-btn:focus,
    // .rounded-btn:active,
    // .rounded-btn:visited {
    //     color: rgba(255, 255, 255, 1);
    //     border: 2px solid rgba(255, 255, 255, 1);
    //     outline: none;
    // }

    h1 {
        font-weight: 300;
        margin-top: 20px;
        margin-bottom: 10px;
        font-size: 36px;
        small {
            color: rgba(255, 255, 255, 0.7);
        }
    }

    .form-group {
        padding: 8px 0;
        // input::-webkit-input-placeholder {
        //     color: rgba(255, 255, 255, 0.6) !important;
        // }

        // input:-moz-placeholder {
        //     /* Firefox 18- */
        //     color: rgba(255, 255, 255, 0.6) !important;
        // }

        // input::-moz-placeholder {
        //     /* Firefox 19+ */
        //     color: rgba(255, 255, 255, 0.6) !important;
        // }

        // input:-ms-input-placeholder {
        //     color: rgba(255, 255, 255, 0.6) !important;
        // }
    }
    .form-content {
        padding-right: 7%;
        padding-left: 7%;
        padding-top: 0;
        padding-bottom: 0;
        margin-top: 16px !important;
    }
    .user-avatar {
        -webkit-border-radius: 50%;
        border-radius: 50%;
        border: 2px solid #fff;
    }

    input{
        text-align: left;
    }
}
.has-float-label[_ngcontent-c1][_ngcontent-c1] .form-control[_ngcontent-c1][_ngcontent-c1]:placeholder-shown:not(:focus) + [_ngcontent-c1][_ngcontent-c1] {

    text-align: left;

}
